> ## Documentation Index
> Fetch the complete documentation index at: https://api-docs.helpyousponsor.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Assign multiple emails to an admin



## OpenAPI

````yaml put /admin/emails/assign_admin
openapi: 3.0.0
info:
  title: Example for response examples value
  version: '1.0'
servers:
  - url: https://api.helpyousponsor.com/v1
    description: Production
security: []
paths:
  /admin/emails/assign_admin:
    put:
      tags:
        - Email manager
      summary: Assign multiple emails to an admin
      operationId: 97e67d68e8b263e9464b270be351a42e
      requestBody:
        description: Admin id and email id to assign
        required: true
        content:
          application/json:
            schema:
              properties:
                email_ids:
                  type: array
                  items:
                    type: integer
                    example: 1,2,3
                admin:
                  description: The admin to assign the email to
                  properties:
                    id:
                      type: integer
                      example: 542
                    email:
                      type: string
                      example: dev@helpyousponsor.com
                    permissions:
                      type: object
                    activated:
                      type: integer
                      example: 1
                    activation_code:
                      type: string
                    activated_at:
                      type: string
                      example: '2017-02-23 04:41:10'
                    last_login:
                      type: string
                      example: '2023-11-22 20:43:34'
                    reset_password_code:
                      type: string
                    first_name:
                      type: string
                      example: Leslie
                    last_name:
                      type: string
                      example: Jobs
                    created_at:
                      type: string
                      example: '2017-02-23T04:40:21.000000Z'
                    updated_at:
                      type: string
                      example: '2023-11-22T20:43:34.000000Z'
                    client_id:
                      type: string
                      example: '207'
                    group_id:
                      type: integer
                      example: 301
                    email_verified_at:
                      type: string
                    __hevo__database_name:
                      type: string
                      example: apphys_new
                    __hevo__ingested_at:
                      type: integer
                      example: 1678920545435
                    __hevo__marked_deleted:
                      type: integer
                      example: 0
                    __hevo__source_modified_at:
                      type: integer
                      example: 1678920204000
                    onboarding_status:
                      type: boolean
                    phone:
                      type: string
                  type: object
              type: object
      responses:
        '200':
          description: Successful operation
          content:
            application/json:
              schema:
                properties:
                  message:
                    description: The status of the operation
                    type: string
                type: object
        '400':
          description: Invalid input
          content:
            application/json:
              schema:
                properties:
                  message:
                    description: Error message
                    type: string
                type: object
      security:
        - apiKeyAuth: []
components:
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      description: 'API key generated from Developer Settings. Format: hys_...'
      name: X-HYS-API-Key
      in: header

````